Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Transmit_File Class Reference

Implementation for transmit_file will make use of POSIX_Asynch_Transmit_Handler. More...

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Transmit_File:

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Transmit_File:

[legend]
List of all members.

## Public Methods
| ACE_POSIX_Asynch_Transmit_File (ACE_POSIX_Proactor *posix_proactor)
| Constructor.
int | transmit_file (ACE_HANDLE file, ACE_Asynch_Transmit_File::Header_And_Trailer *header_and_trailer, size_t bytes_to_write, u_long offset, u_long offset_high, size_t bytes_per_send, u_long flags, const void *act, int priority, int signal_number=0)
virtual | ~ACE_POSIX_Asynch_Transmit_File (void)
| Destructor.

## Detailed Description

Implementation for transmit_file will make use of POSIX_Asynch_Transmit_Handler.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Transmit_File::ACE_POSIX_Asynch_Transmit_File | ( | ACE_POSIX_Proactor * | posix_proactor | ) |

| Constructor.

ACE_POSIX_Asynch_Transmit_File::~ACE_POSIX_Asynch_Transmit_File | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_POSIX_Asynch_Transmit_File::transmit_file | ( | ACE_HANDLE | file,
|  | ACE_Asynch_Transmit_File::Header_And_Trailer * | header_and_trailer,
|  | size_t | bytes_to_write,
|  | u_long | offset,
|  | u_long | offset_high,
|  | size_t | bytes_per_send,
|  | u_long | flags,
|  | const void * | act,
|  | int | priority,
|  | int | signal_number = 0
| ) | `[virtual]`

| This starts off an asynchronous transmit file. The <file> is a handle to an open file. <header_and_trailer> is a pointer to a data structure that contains pointers to data to send before and after the file data is sent. Set this parameter to 0 if you only want to transmit the file data. Upto <bytes_to_write> will be written to the <socket>. If you want to send the entire file, let <bytes_to_write> = 0. <bytes_per_send> is the size of each block of data sent per send operation. Please read the POSIX documentation on what the flags should be. Implements ACE_Asynch_Transmit_File_Impl.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/POSIX_Asynch_IO.cpp